#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkcompactdisc
Epoch:          3
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        KDE library for playing & ripping CDs
Group:          Sound/Utilities
License:        GPLv2
Url:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(phonon4qt5)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  pkgconfig(alsa)

%description
KDE library for playing & ripping CDs.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang

#------------------------------------------------------------------------------


%define kf5compactdisc_major 5
%define libkf5compactdisc %mklibname kf5compactdisc %kf5compactdisc_major

%package -n %libkf5compactdisc
Summary:        KDE library for playing & ripping CDs
Group:          System/Libraries
Requires:       %name-common >= %epoch:%version-%release

%description -n %libkf5compactdisc
KDE library for playing & ripping CDs.

%files -n %libkf5compactdisc
%_kf5_libdir/libKF5CompactDisc.so.%{kf5compactdisc_major}{,.*}

#------------------------------------------------------------------------------

%define libkf5compactdisc_devel %mklibname kf5compactdisc -d

%package -n %{libkf5compactdisc_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5compactdisc = %epoch:%version-%release
Provides:       libkcompactdisc-devel = %epoch:%version-%release
Provides:       kcompactdisc-devel = %epoch:%version-%release

%description -n %{libkf5compactdisc_devel}
KDE library for playing & ripping CDs.

This package contains header files needed if you wish to build applications
based on libkcompactdisc.

%files -n %{libkf5compactdisc_devel}
%_kf5_includedir/*
%_kf5_libdir/libKF5CompactDisc.so
%_kf5_libdir/cmake/KF5CompactDisc/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 3:23.04.3-1.mga9
+ Revision: 1982556
- New version 23.04.3

* Fri May 26 2023 neoclust <neoclust> 3:23.04.1-1.mga9
+ Revision: 1958261
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 3:22.12.3-1.mga9
+ Revision: 1946573
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 3:22.12.2-1.mga9
+ Revision: 1941866
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 3:22.12.0-1.mga9
+ Revision: 1922988
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 3:22.11.90-1.mga9
+ Revision: 1911482
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 3:22.08.3-1.mga9
+ Revision: 1905333
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 3:22.08.1-1.mga9
+ Revision: 1886851
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 3:22.08.0-1.mga9
+ Revision: 1880837
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 3:22.04.3-1.mga9
+ Revision: 1873150
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 3:22.04.0-1.mga9
+ Revision: 1854040
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 3:22.03.90-1.mga9
+ Revision: 1849546
- New version 22.03.90

* Tue Apr 05 2022 umeabot <umeabot> 3:21.12.0-2.mga9
+ Revision: 1844733
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 3:21.12.0-1.mga9
+ Revision: 1763932
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 3:21.11.90-1.mga9
+ Revision: 1760195
- Silent: Fix file list
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 3:21.04.1-1.mga9
+ Revision: 1724143
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 3:21.04.0-1.mga9
+ Revision: 1718424
- New version 21.04.0

* Fri Mar 05 2021 daviddavid <daviddavid> 3:20.12.3-3.mga9
+ Revision: 1699466
- update BRs, remove no more needed kdelibs4support
- update Source Url

* Thu Mar 04 2021 neoclust <neoclust> 3:20.12.3-2.mga9
+ Revision: 1698631
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 3:20.12.2-1.mga9
+ Revision: 1694154
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 3:20.12.0-1.mga8
+ Revision: 1655682
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 3:20.08.3-1.mga8
+ Revision: 1644064
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 3:20.08.2-1.mga8
+ Revision: 1633880
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 3:20.08.1-1.mga8
+ Revision: 1627123
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 3:20.08.0-1.mga8
+ Revision: 1614991
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 3:20.04.3-1.mga8
+ Revision: 1604187
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 3:20.04.2-1.mga8
+ Revision: 1596925
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 3:20.04.1-1.mga8
+ Revision: 1584571
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 3:20.04.0-1.mga8
+ Revision: 1568201
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 3:19.12.3-1.mga8
+ Revision: 1559391
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 3:19.12.2-2.mga8
+ Revision: 1539932
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 3:19.12.2-1.mga8
+ Revision: 1513367
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 3:19.12.0-1.mga8
+ Revision: 1467021
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 3:19.08.3-1.mga8
+ Revision: 1457967
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 3:19.08.1-1.mga8
+ Revision: 1446475
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 3:19.04.3-1.mga8
+ Revision: 1425058
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 3:19.04.0-1.mga7
+ Revision: 1390513
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 3:19.03.90-1.mga7
+ Revision: 1387720
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 3:18.12.3-2.mga7
+ Revision: 1383051
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 3:18.12.3-1.mga7
+ Revision: 1375721
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 3:18.12.2-1.mga7
+ Revision: 1365636
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 3:18.12.1-1.mga7
+ Revision: 1356573
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 3:18.12.0-1.mga7
+ Revision: 1339578
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 3:18.08.3-1.mga7
+ Revision: 1332808
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 3:18.08.2-1.mga7
+ Revision: 1327461
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 3:18.04.1-2.mga7
+ Revision: 1298938
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 3:18.04.1-1.mga7
+ Revision: 1229094
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 3:17.12.2-1.mga7
+ Revision: 1201957
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 3:17.12.1-1.mga7
+ Revision: 1194979
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 3:17.12.0-1.mga7
+ Revision: 1186521
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 3:17.08.0-1.mga7
+ Revision: 1143112
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 3:17.07.90-1.mga7
+ Revision: 1136858
- New version 17.07.90

* Tue Jul 25 2017 neoclust <neoclust> 3:17.04.3-3.mga7
+ Revision: 1130564
- Add conflicts to ease upgrade

* Sun Jul 23 2017 daviddavid <daviddavid> 3:17.04.3-2.mga7
+ Revision: 1129696
- add missing epoch

* Sun Jul 23 2017 neoclust <neoclust> 3:17.04.3-1.mga7
+ Revision: 1129540
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090142
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1077016
- New version 16.12.0

* Tue Dec 06 2016 daviddavid <daviddavid> 3:16.11.90-1.mga6
+ Revision: 1072860
- port to Kf5/Qt5
+ neoclust <neoclust>
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067396
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061459
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050722
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047370
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040124
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012614
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004403
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994970
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991246
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987524
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 922688
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 3:15.12.0-1.mga6
+ Revision: 912045
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 3:15.11.80-1.mga6
+ Revision: 905515
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 3:15.08.3-1.mga6
+ Revision: 901067
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 3:15.08.1-1.mga6
+ Revision: 880922
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 3:15.08.0-1.mga6
+ Revision: 866365
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859193
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800661
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787759
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 742989
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734613
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681551
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667546
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 663058
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656736
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653921
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 652032
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636795
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625562
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615639
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609455
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606896
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603403
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600737
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590524
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 580656
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555055
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551327
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539801
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490667
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476712
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465105
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458973
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455359
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447850
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435020
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428320
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407139
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401933
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394324
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 357574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339292
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334474
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326616
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320162
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316115
- Update tarball to KDE SC 4.9.3

* Mon Oct 15 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 305726
- Fix devel package
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289644
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 276626
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269710
- new version 4.8.97

* Thu Jun 28 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 264645
- imported package libkcompactdisc

